Subject: diff -r: option to sort the files in timestamp order to generate patches

From: Vincent Lefevre <[email-masked]>
Date: Wed, 8 Jul 2015 01:15:25 +0200

For recursive diff, it would be useful to have an option to sort
the files in timestamp order to generate patches. I suspect that
users who apply patches do not always use the -Z patch option to
avoid time-dependency problems with "make". It seems that sorting
the files by time in a patch file would make the -Z option useless,
as I suggested here:

  https://sympa.inria.fr/sympa/arc/mpfr/2015-07/msg00006.html

Alternatively, this could be done by a separate utility (if this is
easier to implement, and to "correct" existing patches).

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)